# Create values.yaml from Helm Repository

Create a YAML file named values from the Helm repository by running the following command.

```bash
helm show values kedacore/keda > values.yaml
```

Modify the contents of the \`values.yaml\` file using the Nano editor with the following syntax.

```bash
nano values.yaml
```

Add runAsUser and runAsNonRoot.

```yaml
# line 404
# -- [Security context] for all containers
# @default -- [See below](#KEDA-is-secure-by-default)
securityContext:
  # -- [Security context] of the operator container
  # @default -- [See below](#KEDA-is-secure-by-default)
  operator:
    capabilities:
      drop:
      - ALL
    allowPrivilegeEscalation: false
    runAsUser: 1000
    runAsNonRoot: true
    readOnlyRootFilesystem: true
    seccompProfile:
      type: RuntimeDefault
  # -- [Security context] of the metricServer container
  # @default -- [See below](#KEDA-is-secure-by-default)
  metricServer:
    capabilities:
      drop:
      - ALL
    allowPrivilegeEscalation: false
    runAsUser: 1000
    runAsNonRoot: true
    readOnlyRootFilesystem: true
    seccompProfile:
      type: RuntimeDefault
  # -- [Security context] of the admission webhooks container
  # @default -- [See below](#KEDA-is-secure-by-default)
  webhooks:
    capabilities:
      drop:
      - ALL
    allowPrivilegeEscalation: false
    runAsUser: 1000
    runAsNonRoot: true
    readOnlyRootFilesystem: true
    seccompProfile:
      type: RuntimeDefault
```

Apply the KEDA configuration specified in the \`values.yaml\` file by running the following command.

```bash
helm install keda kedacore/keda --namespace keda --values values.yaml
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/deka-gpu/deka-gpu-autoscaling/keda-autoscalling/create-values.yaml-from-helm-repository.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
